subroutine DERIVS(t)
use work
! Calculeaza membrii II ai ec. dif. de ordinul I
implicit real(8) (a-h,o-z)


! Raspuns liniar: cos(omega*t):
! x' =u
! u' =-k*x;
! k =4*pi^2; k~Param%k

!ff(1) =x(2)
!ff(2) =-k*x(1)

f(1) =xEnd(2)
f(2) =-Param%k*xEnd(1)


END subroutine DERIVS

